package com.ruoyi.project.sems.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TSpecdevDzsb;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.his.domain.TSpechiDzsb;

/**
 * 特种设备吊装设备台账历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface TSpechiDzsbMapper 
{
    /**
     * 查询特种设备吊装设备台账历史
     * 
     * @param id 特种设备吊装设备台账历史ID
     * @return 特种设备吊装设备台账历史
     */
    public TSpechiDzsb selectTSpechiDzsbById(Long id);

    /**
     * 查询特种设备吊装设备台账历史列表
     * 
     * @param tSpechiDzsb 特种设备吊装设备台账历史
     * @return 特种设备吊装设备台账历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpechiDzsb> selectTSpechiDzsbList(TSpechiDzsb tSpechiDzsb);

    /**
     * 新增特种设备吊装设备台账历史
     * 
     * @param tSpechiDzsb 特种设备吊装设备台账历史
     * @return 结果
     */
    public int insertTSpechiDzsb(TSpechiDzsb tSpechiDzsb);

    /**
     * 使用台账对象新增特种设备吊装设备台账历史
     * @param tSpecdevDzsb 特种设备吊装设备台账对象
     * @returnDzsb
     */
    public int insertTSpechiDzsbByDev(TSpecdevDzsb tSpecdevDzsb);

    /**
     * 修改特种设备吊装设备台账历史
     * 
     * @param tSpechiDzsb 特种设备吊装设备台账历史
     * @return 结果
     */
    public int updateTSpechiDzsb(TSpechiDzsb tSpechiDzsb);

    /**
     * 删除特种设备吊装设备台账历史
     * 
     * @param id 特种设备吊装设备台账历史ID
     * @return 结果
     */
    public int deleteTSpechiDzsbById(Long id);

    /**
     * 批量删除特种设备吊装设备台账历史
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpechiDzsbByIds(Long[] ids);

    public List<TSpechiDzsb> selectTSpechiDzsbByReform(Long devId);

    /**
     * 根据devId删除台账历史
     * @param devId
     * @return
     */
    public int deleteTSpechiDzsbByDevId(Long devId);

}
